getSpacing {limma} | R Documentation

## Get Numerical Spacing

### Description

Convert character to numerical spacing measure for within-array replicate spots.

### Usage

    getSpacing(spacing, layout)

### Arguments

`spacing` | character string or integer. Acceptable character strings are `"columns"`, `"rows"`, `"subarrays"` or `"topbottom"`. Integer values are simply passed through.
`layout` | list containing printer layout information

### Details

`"rows"` means that duplicate spots are printed side-by-side by rows. These will be recorded in consecutive rows in the data object.

`"columns"` means that duplicate spots are printed side-by-sidy by columns. These will be separated in the data object by `layout$nspot.r` rows.

`"subarrays"` means that a number of sub-arrays, with identical probes in the same arrangement, are printed on each array. The spacing therefore will be the size of a sub-array.

`"topbottom"` is the same as `"subarrays"` when there are two sub-arrays.

### Value

Integer giving spacing between replicate spots in the gene list.

### Author(s)

Gordon Smyth

### See Also

An overview of LIMMA functions for reading data is given in 03.ReadingData.

### Examples

    getSpacing("columns",list(ngrid.r=2,ngrid.c=2,nspot.r=20,nspot.c=19))
    getSpacing("rows",list(ngrid.r=2,ngrid.c=2,nspot.r=20,nspot.c=19))
    getSpacing("topbottom",list(ngrid.r=2,ngrid.c=2,nspot.r=20,nspot.c=19))

[Package limma version 2.16.5 Index]